| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Pike
Pike.__Backend

# Method Pike.__Backend()->`()()

Method `()

  `float|int(0..0) `()(void|float|int(0..0) sleep_time)`

Description

  Perform one pass through the backend.

  Calls any outstanding call-outs and non-blocking I/O callbacks that are registred in this backend object.

Parameter `sleep_time`

  Wait at most sleep_time seconds. The default when unspecified or the integer `0` is no time limit.

Returns

  If the backend did call any callbacks or call outs then the time spent in the backend is returned as a float. Otherwise the integer `0` is returned.

See also

  Pike.DefaultBackend , main()